'use client';

import { createAuthClient } from 'better-auth/react';
import { ssoClient } from '@better-auth/sso/client';
import { oidcClient } from 'better-auth/client/plugins';

export const authClient = createAuthClient({
  baseURL:
    typeof window !== 'undefined' ? window.location.origin : process.env.NEXT_PUBLIC_AUTH_URL,
  plugins: [ssoClient(), oidcClient()],
});
